<?php
/*
Plugin Name: CYSTEME Finder, a file explorer
Plugin URI: http://cysteme.fr
Description: File manager for admin users. Use it to manage all your WordPress site files, no more need to external FTP to upload/delete/edit PHP or any other files
Author: CYSTEME
Author URI: http://cysteme.fr
Tags: gestion,fichier,fichiers,file,files,manager,finder,cysteme,explorer,explorateur,luc,christiany,cloud,partage,partages,share,shares
Version: 1.3
*/

/*
 * Ajoute des liens dans le menu des plugins
 */
function cysteme_finder_plugin_action_links($links, $file)
{
	static $this_plugin;

	if(!$this_plugin)
		$this_plugin = plugin_basename(__FILE__);
	if($file == $this_plugin)
	{
		$links[] = '<a href="options-general.php?page=cysteme_finder">' . __('Réglages', 'cysteme_finder') . '</a>';
		$links[] = '<a href="http://cysteme.fr">cysteme.fr</a>';
	}
	return $links;
}

/*
 * Init du plugin
 */
function cysteme_finder_plugin_init()
{
    global $pluginurl, $lang;
        
	register_setting('cysteme_title_options', 'cysteme_finder', 'cysteme_finder_validate');
    
    wp_register_script('finder', $pluginurl . '/js/finder.js');
    wp_register_script('finder-lang', $pluginurl . '/js/i18n/elfinder.' . $lang . '.js');   
        
    wp_register_style('jqueryui-1-8-18', $pluginurl . '/css/jqueryui-1-8-18.css');
    wp_register_style('finder', $pluginurl . '/css/finder.css');
    wp_register_style('theme', $pluginurl . '/css/theme.css');
                        
    wp_enqueue_script('jquery');
    wp_enqueue_script('jquery-ui-core');   
    wp_enqueue_script('jquery-ui-selectable'); 
    wp_enqueue_script('jquery-ui-draggable'); 
    wp_enqueue_script('jquery-ui-droppable');   
    wp_enqueue_script('jquery-ui-slider');
    wp_enqueue_script('jquery-ui-button');
    wp_enqueue_script('finder');
    wp_enqueue_script('finder-lang');
            
	wp_enqueue_style('jqueryui-1-8-18');    
	wp_enqueue_style('finder');
	wp_enqueue_style('theme');                              
}

/*
 * Ajout de la page des options dans les réglages
 */
function cysteme_finder_plugin_add_settings() 
{
	add_options_page(__('CYSTEME Finder', 'cysteme_finder'), __('CYSTEME Finder', 'cysteme_finder'), 'manage_options', 'cysteme_finder', 'cysteme_finder_manage_options');
}

/*
 * Page des options
 */
function cysteme_finder_manage_options() 
{     
    global $pluginurl, $lang;
                            
?>
	<div class="wrap">
		<div class="cystemefinder icon32"><br /></div>
		<h3><?php get_locale();_e('<a target="_blank" href="http://cysteme.fr">CYSTEME</a>, Web Sites & Solutions - Linux Expert - CRM & Messaging <a target="_blank" href="http://cloudoffice.fr">CloudOffice</a> - Online files management software <a target="_blank" href="http://cloudfiles.fr">CloudFiles</a>, <a target="_blank" href="http://finder.cysteme.fr">Finder</a>', 'cysteme_title') ?></h3>
		<h4><?php get_locale();_e('<a target="_blank" href="http://cysteme.fr/cysteme_finder/">The PRO version offers cloud space for users and protected shares in an improved interface for only 15€ ! Create cloud spaces for your users, shared spaces with customers, with custom read/write access, in a single page or post with a simple shortcode</a>', 'cysteme_title') ?></h4>        

		<script type="text/javascript" charset="utf-8">      
			jQuery().ready(function() {
				var elf = jQuery('#elfinder').elfinder({
				    resizable: true,
					url : '<?php echo $pluginurl . "/php/connector.php?wphome=" . get_home_path() . "&wpurl=" . get_bloginfo("url") ?>',
					lang: '<?= $lang ?>',
                    height: document.body.scrollHeight
				}).elfinder('instance');
			});
		</script>

        <div id="elfinder"></div>

	</div>
<?php
}

/*
 * Valide les options
 *
 */
function cysteme_finder_validate($options) 
{
	return;
}

// Init administration

$pluginurl = plugins_url() . '/cysteme-finder';
$locale = get_locale();    
list($lang) = explode('_', $locale);

add_action('admin_init', 'cysteme_finder_plugin_init');
add_action('admin_menu', 'cysteme_finder_plugin_add_settings');

?>
